﻿using System.Security.RightsManagement;

namespace chatclient.Data
{
    internal class Server 
    {
        public const string ServerUrl = "http://127.0.0.1:5001";
        public const string ServerIP = "127.0.0.1";
        public const int ServerPort = 52006;
    }
    internal class LoginData
    {
        public string? type { get; set; } = null;
        public string? username { get; set; } = null;
        public string? password { get; set; } = null;
        public string? token { get; set; } = null;
    }
    internal class LoginResultData
    {
        public string? status { get; set; }
        public string? message { get; set; }
        public string? token { get; set; }
        public string? username { get; set; }
        public string? userid { get; set; } = "Unid";
    }
    internal class SignData
    {
        public string? type { get; set; } = null;
        public string? username { get; set; } = null;
        public string? password { get; set; } = null;
    }
    internal class SignResultData
    {
        public string? status { get; set; } = null;
        public string? message { get; set; } = null;
    }
    internal class RegisterData
    {
        public string? type { get; set; } 
    }
    internal class ChatRegisterData
    {
        public string? user { get; set; } = "Unnamed";
        public required string userid { get; set; } = "Unid";
        public string? status { get; set; } = null;
        public string? message { get; set; } = null;
        public string? avatar { get; set; } = null;
        public MessageType? msgtype { get; set; } = MessageType.Text;
        public DateTime? timestamp { get; set; } = DateTime.Now;
    }
    internal class ChatData
    {
        public required string type { get; set; } = "chat";
        public required string message { get; set; } = "message";
        public MessageType? msgtype { get; set; } = MessageType.Text;
        public required string userid { get; set; } = "Unid";
        public string? token { get; set; } = null;  // 添加token字段
    }
}
