﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace chatserver.Data
{
    internal class LoginData
    {
        public string? username { get; set; } = null;
        public string? password { get; set; } = null;
        public string? token { get; set; } = null;
    }
    internal class LoginResultData
    {
        public required string type { get; set; } = "login";
        public string? userid { get; set; } = "Unid";
        public string? status { get; set; }
        public string? message { get; set; }
        public string? token { get; set; }
        public string? username { get; set; }
    }
    internal class SignData
    {
        public string? username { get; set; } = null;
        public string? password { get; set; } = null;
    }
    internal class SignResultData
    {
        public required string type { get; set; } = "sign";
        public string? status { get; set; } = null;
        public string? message { get; set; } = null;
    }
    internal class TypeData
    {
        public string? type { get; set; }
    }
    internal class ChatRegisterData
    {
        public required string type { get; set; } = "chat";
        public required string userid { get; set; } = "Unid";
        public string user { get; set; } = "Unnamed";
        public string? status { get; set; } = null;
        public string? message { get; set; } = null;
        public string? avatar { get; set; } = null;
        public MessageType? msgtype { get; set; } = MessageType.Text;
        public DateTime? timestamp { get; set; } = DateTime.Now;
    }
    internal class ChatData
    {
        public required string message { get; set; } = "message";
        public MessageType? msgtype { get; set; } = MessageType.Text;
        public required string userid { get; set; } = "Unid";
        public string? token { get; set; } = null;  // 添加token字段
    }
}
